from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XNumberFormatTypes(XInterface, Protocol):
    def getStandardIndex(self, nLocale: Locale) -> int: ...
    def getStandardFormat(self, nType: int, nLocale: Locale) -> int: ...
    def getFormatIndex(self, nIndex: int, nLocale: Locale) -> int: ...
    def isTypeCompatible(self, nOldType: int, nNewType: int) -> bool: ...
    def getFormatForLocale(self, nKey: int, nLocale: Locale) -> int: ...
